#include <iostream>
#include <stdlib.h>
#include "Strategy.h"
#include <ctime>
#include <cstdlib>

using namespace std;




Strategy::Strategy()
{
	//int situation[8];
	//srand((unsigned)time(0));
	for(int i=0;i<8;i++)
	{
		situation[i] = rand()%2;
	}
	score = 100;			//
}

int Strategy::getDecision(int STI)
{
	return situation[STI];
}

int Strategy::getScore()
{
	return score;
}


void Strategy::updateScore(int result,int STI)
{
		if(result == situation[STI])
			score++;
		else
			score--;
}
